Bug 186178 - aiglx/Xair breaks DRI
aiglx/Xair breaks DRI
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 19:18 EST by Evan Klitzke
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 13:03:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My full Xorg.0.log (64.31 KB, text/plain)
2006-03-21 19:18 EST, Evan Klitzke
no flags Details

  None (edit)
Description Evan Klitzke 2006-03-21 19:18:05 EST
This is a bug report about Xair. I'm not sure where this goes in the bugzilla
tree, so hopefully this makes it to the right place.

Description of problem:
I followed the instructions on the fedoraproject.org and enabled the aiglx
repositories, and installed xorg-x11-server-Xair. Everything works fine, but DRI
has been disabled (it was previously enabled with the regular xorg-x11-server)

Version-Release number of selected component (if applicable):
xorg-x11-server-Xair.i386                1.0.0.0.20060207-5

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

===== lspci =====
# lspci | grep -i graphics
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated
Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics
Device (rev 02)

===== xorg.conf snippet =====
Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "i810"
        VendorName  "Videocard vendor"
        BoardName   "Intel Corporation 82852/855GM Integrated Graphics Device"
        Option  "XAANoOffscreenPixmaps"
EndSection

Section "DRI"
        Mode    0666
EndSection

===== glxinfo =====
$ glxinfo | head
libGL error: open DRM failed (Operation not permitted)
libGL error: reverting to (slow) indirect rendering
name of display: :0.0
display: :0  screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_OML_swap_method, GLX_SGI_make_current_read,
    GLX_SGIS_multisample, GLX_SGIX_hyperpipe, GLX_SGIX_swap_barrier,
    GLX_SGIX_fbconfig, GLX_EXT_texture_from_drawable

===== Observations =====
I googled the error message "libGL error: open DRM failed (Operation not
permitted)" and found results that mostly correponded to people who didn't have
a DRI section in their xorg.conf setting the mode to 0666. I have this section,
and DRI works fine with the normal Xorg server (xorg-x11-server-Xorg.i386
1.0.1-9) -- that is, when I run glxinfo I get a message near the top that says
"direct rendering: Yes". I will also attach my full Xorg.0.log
Comment 1 Evan Klitzke 2006-03-21 19:18:05 EST
Created attachment 126447 [details]
My full Xorg.0.log
Comment 2 Mike A. Harris 2006-03-22 11:38:34 EST
Xair bug reports should be filed in X.Org bugzilla at http://bugs.freedesktop.org
in the "xorg" component with "[aiglx]" prefix in the summary line.  When you
file the bug, assign it to <krh@bitplanet.net> and paste the URL here for
reference.

Thanks in advance.
Comment 3 Evan Klitzke 2006-03-22 12:05:54 EST
Thanks Mike, I followed your instructions and this is now bug 6356 in the X.Org
bugzilla.  The URL of the bug is https://bugs.freedesktop.org/show_bug.cgi?id=6356
Comment 4 Kristian Høgsberg 2006-03-22 13:03:06 EST
This bug is fixed in CVS head and we now have aiglx in the rawhide builds of
Xorg.  Please uninstall the Xair packages and try out the rawhide X server, thanks.

Note You need to log in before you can comment on or make changes to this bug.